package com.jz.dm.mall.moduls.controller.order.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel(value = "订单管理-api订单列表请求参数")
@Data
public class OrderRequest extends BasePageBean {
    private static final long serialVersionUID = 651546246975691600L;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;
    /**
     * 数据行业
     */
    @ApiModelProperty(value = "数据行业")
    private String categoryId;
    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;
    /**
     * 数据分类
     */
    @ApiModelProperty(value = "数据分类")
    private String dataType;
    @ApiModelProperty(value = "订单时间")
    private String orderTime;
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "搜索")
    private String search;
}