package com.jz.manage.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/19
 * @Version:
 */
@Data
@ApiModel(value = "商品审核管理-返回参数")
public class DataGoodsAuditDto implements Serializable {

    @ApiModelProperty(value = "商品id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "商品名称")
    private String dataName;

    @ApiModelProperty(value = "商品类型: 01api,02数据包")
    private String dataType;

    @ApiModelProperty(value = "商品行业")
    private String categoryName;

    @ApiModelProperty(value = "商品分类id", hidden = true)
    private Long categoryId;

    @ApiModelProperty(value = "上传时间")
    private String creTime;

    @ApiModelProperty(value = "更新时间")
    private String uptTime;

    @ApiModelProperty(value = "审核状态")
    private String auditStatus;
}
