package com.jz.manage.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/19
 * @Version:
 */
@Data
@ApiModel(value = "商品审核请求参数")
public class DataGoodsAuditReq implements Serializable {


    @ApiModelProperty(value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long dataGoodsId;

    @ApiModelProperty(value = "审核状态 01待审核，02已审核，03未通过")
    @NotNull(message = "审核状态不能为空")
    private String auditStatus;

    @ApiModelProperty(value = "驳回原因")
    private String rejectReason;
}
