package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.order.bean.OrderDetailDto;
import com.jz.manage.moduls.controller.order.bean.OrderDto;
import com.jz.manage.moduls.controller.order.bean.OrderRequest;

import javax.servlet.http.HttpServletRequest;

/**
 * 订单表(TOrder)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderService {


    Result<IPage<OrderDto>> queryListOrderInfo(OrderRequest orderRequest, HttpServletRequest req) throws Exception;

    OrderDetailDto queryOrderDetail(String orderId) throws Exception;
}