package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.finance.platForm.*;

import javax.servlet.http.HttpServletRequest;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerBalanceService {


    IPage<BalanceListDto> findListBalance(BalanceListRequest balanceListRequest, HttpServletRequest httpRequest) throws Exception;

    BalanceInfoDto queryBalanceByid(String customerBalanceId) throws Exception;

    Result<Object> uptBalanceInfoAuditByid(BalanceAuditRequest balanceAuditRequest) throws Exception;

    /**
     * 快捷充值-给用户充值
     * @param req
     * @return
     */
    Result uptAccountMoney(BalanceQuickReq req)throws Exception;
    /**
     * 快捷提现-给用户提现
     * @param req
     * @return
     */
    Result addCashOutMoney(CashOutQuickReq req)throws Exception;

    /**
     * 搜索企业
     * @param search
     * @return
     */
    Result searchCompany(String search);
}